Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletRegistration.Dynamic

All Superinterfaces:
  Registration, Registration.Dynamic, ServletRegistration

Enclosing interface:
  ServletRegistration

    public static interface ServletRegistration.Dynamic

extends ServletRegistration, Registration.Dynamic

Nested Class Summary

Nested classes/interfaces inherited from interface javax.servlet.ServletRegistration
`ServletRegistration.Dynamic`

Method Summary
`void` | `setLoadOnStartup(int loadOnStartup)`
`void` | `setMultipartConfig(MultipartConfigElement multipartConfig)`
`void` | `setRunAsRole(java.lang.String roleName)`
`java.util.Set<java.lang.String>` | `setServletSecurity(ServletSecurityElement constraint)`

Methods inherited from interface javax.servlet.ServletRegistration
`addMapping, getMappings, getRunAsRole`

Methods inherited from interface javax.servlet.Registration.Dynamic
`setAsyncSupported`

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### setLoadOnStartup

    void setLoadOnStartup(int loadOnStartup)

### setMultipartConfig

    void setMultipartConfig(MultipartConfigElement multipartConfig)

### setRunAsRole

    void setRunAsRole(java.lang.String roleName)

### setServletSecurity

    java.util.Set<java.lang.String> setServletSecurity(ServletSecurityElement constraint)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.